Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx.queries
Class NumericValueExp

    java.lang.Object
      |
      +--javax.management.QueryEval
            |
            +--org.huihoo.jfox.jmx.queries.NumericValueExp

All Implemented Interfaces:
  java.io.Serializable, ValueExp

public class NumericValueExp
extends QueryEval
implements ValueExp

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.QueryEval
`server`

Constructor Summary
`NumericValueExp(java.lang.Number number)`

Method Summary
`ValueExp` | `apply(ObjectName objectname)` Applies the ValueExp on a MBean.
`double` | `doubleValue()`
`boolean` | `isLong()`
`long` | `longValue()`
`java.lang.String` | `toString()`

Methods inherited from class javax.management.QueryEval
`setMBeanServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.ValueExp
`setMBeanServer`

Constructor Detail

### NumericValueExp

    public NumericValueExp(java.lang.Number number)

Method Detail

### doubleValue

    public double doubleValue()

### longValue

    public long longValue()

### isLong

    public boolean isLong()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### apply

    public ValueExp apply(ObjectName objectname)
                   throws BadStringOperationException,
                          BadBinaryOpValueExpException,
                          BadAttributeValueExpException,
                          InvalidApplicationException

  Description copied from interface: `ValueExp`
  Applies the ValueExp on a MBean.

  Specified by:
    `apply` in interface `ValueExp`
  Parameters:
    `objectname` - The name of the MBean on which the ValueExp will be applied.
  Returns:
    The `ValueExp`.
  Throws:
    `BadBinaryOpValueExpException`
    `BadAttributeValueExpException`
    `BadStringOperationException`
    `InvalidApplicationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD